Package org.eclipse.m2m.atl.engine.vm

# Class ASMParameter

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ASMParameter

public class ASMParameter extends Object

## Constructor Summary

Constructors
Constructor
Description
`ASMParameter(String name, String type)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getType()`
`void`
`setName(String name)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASMParameter

public ASMParameter(String name, String type)

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### getType

public String getType()

### toString

public String toString()

Overrides:
  `toString` in class `Object`